<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="report1" language="groovy" pageWidth="570" pageHeight="842" columnWidth="530" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="78"/>
	<property name="ireport.y" value="0"/>
	<parameter name="user_tinh_thanhpho" class="java.lang.String"/>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="tuthang" class="java.lang.String"/>
	<parameter name="sys_fullname" class="java.lang.String"/>
	<parameter name="cngay" class="java.lang.String"/>
	<parameter name="ngay" class="java.lang.String"/>
	<parameter name="thang" class="java.lang.String"/>
	<parameter name="nam" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= admin_v2.pttb_baocao.rpt_pttb_tonghop_2011('{p0matinh}','{p0user}'); end;]]>
	</queryString>
	<field name="stt" class="java.lang.String"/>
	<field name="ma_tinh" class="java.lang.String"/>
	<field name="post_thuong" class="java.lang.Number"/>
	<field name="alodn_km1" class="java.lang.Number"/>
	<field name="alodn_km2" class="java.lang.Number"/>
	<field name="alomoi_km1" class="java.lang.Number"/>
	<field name="alomoi_km2" class="java.lang.Number"/>
	<field name="khuvuc" class="java.lang.String"/>
	<field name="tong" class="java.lang.Number"/>
	<variable name="post_thuong_1" class="java.lang.Integer" resetType="Group" resetGroup="VNP" calculation="Count">
		<variableExpression><![CDATA[$F{post_thuong}]]></variableExpression>
	</variable>
	<variable name="post_thuong_2" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{post_thuong}]]></variableExpression>
	</variable>
	<variable name="alomoi_km1_1" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km1}]]></variableExpression>
	</variable>
	<variable name="alomoi_km2_1" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km2}]]></variableExpression>
	</variable>
	<variable name="post_thuong_3" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{post_thuong}]]></variableExpression>
	</variable>
	<variable name="khuvuc_1" class="java.lang.Integer" resetType="Group" resetGroup="VNP" calculation="Count">
		<variableExpression><![CDATA[$F{khuvuc}]]></variableExpression>
	</variable>
	<variable name="alomoi_km2_2" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km2}]]></variableExpression>
	</variable>
	<variable name="alomoi_km1_2" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km1}]]></variableExpression>
	</variable>
	<variable name="alomoi_km1_3" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km1}]]></variableExpression>
	</variable>
	<variable name="alomoi_km2_3" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km2}]]></variableExpression>
	</variable>
	<variable name="alomoi_km1_4" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km1}]]></variableExpression>
	</variable>
	<variable name="alomoi_km2_4" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km2}]]></variableExpression>
	</variable>
	<variable name="tong_1" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="tong_2" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="post_thuong_4" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{post_thuong}]]></variableExpression>
	</variable>
	<variable name="alodn_km1_1" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alodn_km1}]]></variableExpression>
	</variable>
	<variable name="alodn_km2_1" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alodn_km2}]]></variableExpression>
	</variable>
	<variable name="alomoi_km1_5" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km1}]]></variableExpression>
	</variable>
	<variable name="alomoi_km2_5" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km2}]]></variableExpression>
	</variable>
	<variable name="tong_3" class="java.lang.Number" resetType="Group" resetGroup="VNP" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="tong_4" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="tong_5" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="post_thuong_5" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{post_thuong}]]></variableExpression>
	</variable>
	<variable name="alodn_km1_2" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{alodn_km1}]]></variableExpression>
	</variable>
	<variable name="alodn_km2_2" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{alodn_km2}]]></variableExpression>
	</variable>
	<variable name="alomoi_km1_6" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km1}]]></variableExpression>
	</variable>
	<variable name="alomoi_km2_6" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{alomoi_km2}]]></variableExpression>
	</variable>
	<group name="VNP">
		<groupExpression><![CDATA[$F{khuvuc}]]></groupExpression>
		<groupHeader>
			<band height="14">
				<textField isBlankWhenNull="true">
					<reportElement x="8" y="0" width="504" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement/>
					<textFieldExpression><![CDATA[$F{khuvuc}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="14">
				<staticText>
					<reportElement x="8" y="0" width="34" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman"/>
					</textElement>
					<text><![CDATA[Tổng]]></text>
				</staticText>
				<textField>
					<reportElement x="42" y="0" width="85" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement/>
					<textFieldExpression><![CDATA[$F{khuvuc}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="127" y="0" width="61" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{post_thuong_4}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="188" y="0" width="60" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{alodn_km1_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="248" y="0" width="67" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{alodn_km2_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="315" y="0" width="60" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{alomoi_km1_5}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="375" y="0" width="62" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{alomoi_km2_5}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="437" y="0" width="75" height="14"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{tong_3}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="39" splitType="Stretch">
			<textField>
				<reportElement x="315" y="0" width="197" height="18"/>
				<textElement textAlignment="Center" markup="none">
					<font fontName="Times New Roman" isBold="false" isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Ngày báo cáo "+$P{cngay}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="127" y="18" width="385" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" isBold="true" isStrikeThrough="false"/>
				</textElement>
				<text><![CDATA[THỐNG KÊ THUÊ BAO LŨY KẾ ĐẾN HẾT THÁNG 12/2011]]></text>
			</staticText>
			<image>
				<reportElement x="42" y="18" width="84" height="20"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
		</band>
	</title>
	<pageHeader>
		<band height="48" splitType="Stretch">
			<staticText>
				<reportElement x="127" y="16" width="61" height="32"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Post thường]]></text>
			</staticText>
			<staticText>
				<reportElement x="127" y="1" width="385" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Số lượng thuê bao]]></text>
			</staticText>
			<staticText>
				<reportElement x="188" y="16" width="127" height="16"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Thỏa sức Alo KHDN]]></text>
			</staticText>
			<staticText>
				<reportElement x="8" y="1" width="34" height="47"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="42" y="1" width="85" height="47"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[VNPT-TT]]></text>
			</staticText>
			<staticText>
				<reportElement x="188" y="32" width="60" height="16"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[KM1]]></text>
			</staticText>
			<staticText>
				<reportElement x="248" y="32" width="67" height="16"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[KM2]]></text>
			</staticText>
			<staticText>
				<reportElement x="315" y="16" width="122" height="16"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Thỏa sức Alo TB thường]]></text>
			</staticText>
			<staticText>
				<reportElement x="315" y="32" width="60" height="16"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[KM1]]></text>
			</staticText>
			<staticText>
				<reportElement x="375" y="32" width="62" height="16"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[KM2]]></text>
			</staticText>
			<staticText>
				<reportElement x="437" y="16" width="75" height="32"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Tổng TB Post]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="14" splitType="Stretch">
			<textField>
				<reportElement x="8" y="0" width="34" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{stt}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="42" y="0" width="85" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ma_tinh}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="127" y="0" width="61" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{post_thuong}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="188" y="0" width="60" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{alodn_km1}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="248" y="0" width="67" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{alodn_km2}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="315" y="0" width="60" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{alomoi_km1}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="375" y="0" width="62" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{alomoi_km2}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="437" y="0" width="75" height="14"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$F{tong}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="18" splitType="Stretch">
			<staticText>
				<reportElement x="315" y="5" width="61" height="13"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Trang]]></text>
			</staticText>
			<textField>
				<reportElement x="375" y="5" width="62" height="13"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement/>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="89">
			<textField>
				<reportElement x="248" y="24" width="264" height="14"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" pdfEncoding="Cp1252"/>
				</textElement>
				<textFieldExpression><![CDATA["Hà Nội, Ngày  "+$P{ngay}+"  tháng  "+$P{thang}+"  năm  " +$P{nam}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="8" y="0" width="119" height="13"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Tổng VNP1,VNP2,VNP3]]></text>
			</staticText>
			<textField>
				<reportElement x="437" y="0" width="75" height="13"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{tong_5}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="127" y="0" width="61" height="13"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{post_thuong_5}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="188" y="0" width="60" height="13"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[
(new DecimalFormat("#########0")).format($V{alodn_km1_2}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="248" y="0" width="67" height="13"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{alodn_km2_2}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="315" y="0" width="61" height="13"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{alomoi_km1_6}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="375" y="0" width="62" height="13"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[(new DecimalFormat("#########0")).format($V{alomoi_km2_6}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
